import {cd, path} from 'zx'
import {trim} from "licia";
import {run_deploy_batch, run_deploy_root, run_package, run_upload} from "./library.js";

// 切换目录
cd(trim(path.dirname(import.meta.dirname)))
// 执行流程
try {
    await run_deploy_root()
    await run_deploy_batch(['service-cli', 'service-cli/service-cli-core'])
    await run_package('service-cli/service-cli-runner')
    await run_upload('**/service-cli-runner-1.0.0-SNAPSHOT.jar')
} catch (e) {
    console.error(e)
}